--! @brief Minimal example without error.
package all_constants_listed is
  constant a  : BIT := '0'; --! My first constant.
end package all_constants_listed;

--! @brief Minimal example without error.
package body all_constants_listed is
  constant b  : BIT := '0'; --! My first internal constant.
  constant c  : BIT := '0'; --! My second internal constant.
end package body all_constants_listed;

--! @brief Minimal example with error.
package first_subtype_missing is
  --! @brief My first subtype.
  subtype st1 is INTEGER range 0 to 10;
  
  --! @brief My second subtype.
  subtype st2 is INTEGER range 0 to 10;
end package first_subtype_missing;

--! @brief Minimal example with error.
package body first_subtype_missing is
  --! @brief My first internal subtype.
  subtype sti1 is INTEGER range 0 to 10;
  
  --! @brief My second internal subtype.
  subtype sti2 is INTEGER range 0 to 10;
end package body first_subtype_missing;

--! @brief Minimal example with error.
package first_type_missing is
  --! @brief My first type.
  type t1 is (AB, CD);
  
  --! @brief My second type.
  type t2 is (EF, GH);
end package first_type_missing;

--! @brief Minimal example with error.
package body first_type_missing is
  --! @brief My first internal type.
  type ti1 is (AB, CD);
  
  --! @brief My second internal type.
  type ti2 is (EF, GH);
end package body first_type_missing;
